libzypp 17.37.10

provide_p.h File Reference
`#include "providefwd_p.h"`
`#include "providequeue_p.h"`
`#include "attachedmediainfo_p.h"`
`#include <zypp-media/auth/CredentialManager>`
`#include <zypp-media/ng/Provide>`
`#include <zypp-media/ng/ProvideItem>`
`#include <zypp-media/ng/ProvideSpec>`
`#include <zypp-core/zyppng/base/private/base_p.h>`
`#include <zypp-core/zyppng/base/Timer>`
`#include <zypp-core/ManagedFile.h>`

Go to the source code of this file.

## Classes
class | zyppng::ProvidePrivate
struct | zyppng::ProvidePrivate::QueueItem
struct | zyppng::ProvidePrivate::FileCacheItem

## Namespaces
namespace | zyppng
namespace | zyppng::constants

## Variables
constexpr std::string_view | zyppng::constants::DEFAULT_PROVIDE_WORKER_PATH = ZYPP_WORKER_PATH
constexpr std::string_view | zyppng::constants::ATTACHED_MEDIA_SUFFIX = "-media"
constexpr auto | zyppng::constants::DEFAULT_ACTIVE_CONN_PER_HOST = 5
constexpr auto | zyppng::constants::DEFAULT_ACTIVE_CONN = 10
constexpr auto | zyppng::constants::DEFAULT_MAX_DYNAMIC_WORKERS = 20
constexpr auto | zyppng::constants::DEFAULT_CPU_WORKERS = 4